// ******************************************************************************************
// Mod Name: GDTExpansionPack
// Mod Id: GDTExpansionPack_Linshi
// Mod Version: 1.4.0
// Mod File: code.js
// ******************************************************************************************
// Author: Linshi
// Last modified: 02.07.2017 01:24
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var GDTExpansionPack = {};

(function(){

// ******************************************************************************************
// Researches: Hardware
// ******************************************************************************************

// Adding Steam Link
// -----------------------------------------------------------
UltimateLib.Research.addHardwareResearch({
	id: "71bd65ce-8c9c-414c-b6b1-5772b07e1021",
	name: "Steam Link",
	pointsCost: 300,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/researches/hardware/steam link.png",
	description: "Steam Link",
	canResearch: function () {
							var res = true;

						return res;
				},
	repeatable: false,
	targetZone: 0,
	complete: function () {
			
			var research =  Research.getAllItems().filter(function (f) { return f.id === '71bd65ce-8c9c-414c-b6b1-5772b07e1021';  });
			if(research){
				GameManager.company.researchCompleted.push(research);
				// Notification
				var notification = new Notification({
	header: "Researched Steam Link!",
	text: "Steam Link has been successfully researched!",
	image: GDTExpansionPack_Linshi.modPath + "/images/notifications/steam link.png",
	buttonText: "Great!",
	weeksUntilFired: 16
	});
GameManager.company.notifications.push(notification);

				// Actions
				
			}
			else {
				var notification = new Notification({
					header: "UME Error",
					text: "An error occurred on lab research complete callback.",
					image: "",
					buttonText: "OK",
					weeksUntilFired: 0
				});
				GameManager.company.notifications.push(notification);
			}
			
}

	});

// Adding Steam Controller
// -----------------------------------------------------------
UltimateLib.Research.addHardwareResearch({
	id: "b8a70968-0d58-400d-af84-04d661b6a8be",
	name: "Steam Controller",
	pointsCost: 300,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/researches/hardware/steam controller.png",
	description: "Steam Controller",
	canResearch: function () {
							var res = true;

						return res;
				},
	repeatable: false,
	targetZone: 0,
	complete: function () {
			
			var research =  Research.getAllItems().filter(function (f) { return f.id === 'b8a70968-0d58-400d-af84-04d661b6a8be';  });
			if(research){
				GameManager.company.researchCompleted.push(research);
				// Notification
				var notification = new Notification({
	header: "Researched Steam Controller!",
	text: "Steam Controller has been successfully researched!",
	image: GDTExpansionPack_Linshi.modPath + "/images/notifications/steam controller.png",
	buttonText: "Great!",
	weeksUntilFired: 16
	});
GameManager.company.notifications.push(notification);

				// Actions
				
			}
			else {
				var notification = new Notification({
					header: "UME Error",
					text: "An error occurred on lab research complete callback.",
					image: "",
					buttonText: "OK",
					weeksUntilFired: 0
				});
				GameManager.company.notifications.push(notification);
			}
			
}

	});

// Adding Vive
// -----------------------------------------------------------
UltimateLib.Research.addHardwareResearch({
	id: "825987d6-dc75-4413-a0e8-6e6bf0d9ef03",
	name: "Vive",
	pointsCost: 300,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/researches/hardware/Vive.png",
	description: "Vive",
	canResearch: function () {
							var res = true;

						return res;
				},
	repeatable: false,
	targetZone: 0,
	complete: function () {
			
			var research =  Research.getAllItems().filter(function (f) { return f.id === '825987d6-dc75-4413-a0e8-6e6bf0d9ef03';  });
			if(research){
				GameManager.company.researchCompleted.push(research);
				// Notification
				var notification = new Notification({
	header: "Researched Vive!",
	text: "Vive has been successfully researched!",
	image: GDTExpansionPack_Linshi.modPath + "/images/notifications/Vive.png",
	buttonText: "Great!",
	weeksUntilFired: 16
	});
GameManager.company.notifications.push(notification);

				// Actions
				
			}
			else {
				var notification = new Notification({
					header: "UME Error",
					text: "An error occurred on lab research complete callback.",
					image: "",
					buttonText: "OK",
					weeksUntilFired: 0
				});
				GameManager.company.notifications.push(notification);
			}
			
}

	});


// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding PlaySystem 4 Pro
// -----------------------------------------------------------
GDT.addPlatform({
	id:"739555e1-6a12-491c-b469-ab7052f709f2",
	name:"PlaySystem 4 Pro",
	company:"Vonny",
	startAmount:0.2,
	unitsSold:8E1,
	licencePrize:5E6,
	published:"30/1/1",
	platformRetireDate:"40/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 1, 1, 0.9, 0.7, 0.9 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/platforms/ps4pro.png",
	events:null
	});

// Adding mBox One S
// -----------------------------------------------------------
GDT.addPlatform({
	id:"5b2ee9d0-9f40-4911-aa3e-50a299338659",
	name:"mBox One S",
	company:"Micronoft",
	startAmount:0.2,
	unitsSold:8E1,
	licencePrize:5E6,
	published:"30/1/1",
	platformRetireDate:"40/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 1, 1, 0.9, 0.7, 0.9 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/platforms/xboxone s.png",
	events:null
	});

// Adding Ninvento Switch
// -----------------------------------------------------------
GDT.addPlatform({
	id:"45087305-7e87-4fb4-bcc3-c66d83f55604",
	name:"Ninvento Switch",
	company:"Ninvento",
	startAmount:0.2,
	unitsSold:8E1,
	licencePrize:5E6,
	published:"30/1/1",
	platformRetireDate:"40/1/1",
	developmentCosts:2E5,
	genreWeightings:[  0.6, 1, 0.9, 1, 0.7, 1 ],
	audienceWeightings:[  1, 0.9, 0.8 ],
	techLevel:7,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/platforms/nintendo switch.png",
	events:null
	});

// Adding Nvidia Shield
// -----------------------------------------------------------
GDT.addPlatform({
	id:"33a9fa2f-70f1-4786-972b-b0be12ddc269",
	name:"Nvidia Shield",
	company:"Nvidia",
	startAmount:0.2,
	unitsSold:8E1,
	licencePrize:1E6,
	published:"30/1/1",
	platformRetireDate:"40/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 1, 0.9, 0.9, 0.6, 0.9 ],
	audienceWeightings:[  0.9, 1, 0.8 ],
	techLevel:7,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/platforms/nvidia shield.png",
	events:null
	});

// Adding mBox One X
// -----------------------------------------------------------
GDT.addPlatform({
	id:"ac4ba2ce-cc93-4677-a819-261e1224848c",
	name:"mBox One X",
	company:"Micronoft",
	startAmount:0.2,
	unitsSold:8E1,
	licencePrize:5E6,
	published:"35/1/1",
	platformRetireDate:"42/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 1, 1, 0.9, 0.7, 0.9 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: GDTExpansionPack_Linshi.modPath + "/images/platforms/xboxonex.png",
	events:null
	});


// ******************************************************************************************
// Topics
// ******************************************************************************************

GDT.addTopics([
{ 
	id: "c06ffc6b-e10a-4cf2-b2d8-f8800585649f",
	name: "Tycoon",
	genreWeightings: [  0.6, 0.6, 0.7, 1, 1, 0.9 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "27bf0961-4844-43eb-a52c-b8ae40718491",
	name: "Hack and Slash",
	genreWeightings: [  0.8, 1, 1, 0.8, 0.8, 0.6 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "468c3faa-3534-4d4e-9531-47b30b75f540",
	name: "Platform",
	genreWeightings: [  0.6, 0.9, 0.8, 1, 0.9, 1 ],
	audienceWeightings: [  1, 0.8, 0.7 ]
	 }
,{ 
	id: "a3a132d9-5a8f-4d89-9c1c-9c326d2dc6b5",
	name: "Fighting",
	genreWeightings: [  1, 0.8, 0.9, 1, 1, 0.9 ],
	audienceWeightings: [  0.6, 0.9, 1 ]
	 }
,{ 
	id: "a2ffffff-6479-45b6-bd53-e0da65a85259",
	name: "Survival",
	genreWeightings: [  0.9, 1, 0.9, 1, 0.9, 0.7 ],
	audienceWeightings: [  0.7, 0.9, 1 ]
	 }
,{ 
	id: "0f778dfb-52e3-443c-bb6f-281cbfb037a8",
	name: "Clicker",
	genreWeightings: [  0.6, 0.7, 0.9, 1, 0.6, 1 ],
	audienceWeightings: [  1, 0.9, 0.7 ]
	 }
,{ 
	id: "4b840fbb-aea7-4857-9b31-a548485c3233",
	name: "Puzzle",
	genreWeightings: [  0.6, 0.7, 0.7, 0.9, 0.8, 1 ],
	audienceWeightings: [  1, 0.8, 0.6 ]
	 }
,{ 
	id: "2ef92a0b-bc58-4c0f-bc14-fdbd248a199d",
	name: "Tower Defense",
	genreWeightings: [  0.6, 0.8, 0.9, 1, 1, 1 ],
	audienceWeightings: [  1, 0.9, 0.7 ]
	 }
,{ 
	id: "41ac52e7-2ba9-4284-8294-4c4decb8baa4",
	name: "Government",
	genreWeightings: [  0.6, 0.9, 1, 1, 1, 0.6 ],
	audienceWeightings: [  0.6, 0.8, 1 ]
	 }
,{ 
	id: "f3ad7f02-1f61-4509-92bc-2ac3a11c00d3",
	name: "MOBA",
	genreWeightings: [  0.9, 0.9, 0.6, 0.8, 1, 0.8 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "4abb30c0-8295-468c-817f-80cb914b9511",
	name: "Animals",
	genreWeightings: [  0.7, 0.8, 0.9, 1, 0.6, 1 ],
	audienceWeightings: [  1, 0.9, 0.6 ]
	 }
,{ 
	id: "65eb0182-497b-40ec-bfe9-4c10fc0a1e4a",
	name: "Cards",
	genreWeightings: [  0.6, 0.9, 0.6, 1, 1, 0.9 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "3494d2ca-11b2-4313-ac8a-154e01d7d92e",
	name: "Garden",
	genreWeightings: [  0.6, 0.8, 0.8, 1, 0.8, 1 ],
	audienceWeightings: [  1, 0.9, 0.7 ]
	 }
,{ 
	id: "02d2d042-b28c-48ce-9a88-6d553ae7086b",
	name: "Cooking",
	genreWeightings: [  0.6, 0.9, 0.9, 1, 0.7, 1 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "b2d68bbc-6162-4b36-81a5-2fa7fa6a9f2b",
	name: "Tanks",
	genreWeightings: [  1, 0.8, 0.6, 1, 1, 0.8 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "8cc3741d-49cd-452b-b8b4-d26afcf2bca2",
	name: "Shooter",
	genreWeightings: [  1, 0.9, 0.9, 1, 0.9, 0.6 ],
	audienceWeightings: [  0.7, 1, 0.9 ]
	 }
,{ 
	id: "e24b459c-f7b8-435f-8034-1d9a25a12f53",
	name: "Farming",
	genreWeightings: [  0.6, 0.8, 0.9, 1, 0.9, 1 ],
	audienceWeightings: [  1, 1, 0.7 ]
	 }
,{ 
	id: "16ab8674-bd24-4377-8b24-519dffdb1700",
	name: "Formula 1",
	genreWeightings: [  0.6, 0.8, 0.7, 1, 0.9, 1 ],
	audienceWeightings: [  0.8, 1, 0.8 ]
	 }
,{ 
	id: "66c70aad-3062-424a-bf6a-3f3524e83341",
	name: "Cops",
	genreWeightings: [  1, 1, 0.9, 1, 1, 0.8 ],
	audienceWeightings: [  0.7, 1, 0.9 ]
	 }
,{ 
	id: "2a8600ba-fcec-4951-ad8c-181d8a7061bd",
	name: "Firefighters",
	genreWeightings: [  0.7, 0.7, 0.6, 1, 0.9, 0.9 ],
	audienceWeightings: [  0.9, 1, 0.8 ]
	 }
,{ 
	id: "8560379d-ab51-4d88-a1e4-917eb119ec73",
	name: "Paramedics",
	genreWeightings: [  0.6, 0.7, 0.7, 1, 0.8, 1 ],
	audienceWeightings: [  0.9, 1, 0.8 ]
	 }
,{ 
	id: "b4c43093-da3b-4160-bb20-6895b50b5b87",
	name: "Dark Fantasy",
	genreWeightings: [  0.8, 1, 1, 0.7, 0.9, 0.6 ],
	audienceWeightings: [  0.7, 0.9, 1 ]
	 }
,{ 
	id: "7495b646-dbcf-4c95-a557-19a405652a20",
	name: "Parkour",
	genreWeightings: [  0.7, 0.7, 0.7, 1, 0.9, 1 ],
	audienceWeightings: [  0.9, 1, 0.8 ]
	 }
,{ 
	id: "6c3e72a3-fd9a-43a2-8a85-4a4bbb1a96a7",
	name: "Fishing",
	genreWeightings: [  0.6, 0.7, 0.7, 1, 0.6, 1 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "a25c7bdc-999e-4732-a06b-cf817a3d17d7",
	name: "Hospital",
	genreWeightings: [  0.6, 0.6, 0.7, 1, 0.9, 1 ],
	audienceWeightings: [  1, 0.9, 0.7 ]
	 }
,{ 
	id: "de07f467-d6bf-4dc7-b43d-68b7adad2c91",
	name: "Mechanic",
	genreWeightings: [  0.6, 0.6, 0.8, 1, 0.6, 1 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
,{ 
	id: "0c5f3af0-a8f3-45c5-8fec-2a29dead148d",
	name: "Point & Click",
	genreWeightings: [  0.7, 1, 1, 0.9, 0.8, 1 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "8a003f0e-f753-4f76-9440-c08471096d45",
	name: "Dress Up",
	genreWeightings: [  0.6, 0.6, 0.6, 1, 0.6, 1 ],
	audienceWeightings: [  1, 0.7, 0.6 ]
	 }
,{ 
	id: "ab82d327-87c5-4585-a40a-a7fa4a194f9b",
	name: "City Builder",
	genreWeightings: [  0.6, 0.6, 0.7, 1, 1, 0.9 ],
	audienceWeightings: [  0.9, 1, 0.8 ]
	 }
,{ 
	id: "6d095e31-636f-4503-bdce-d04e26582d2e",
	name: "World War 2",
	genreWeightings: [  1, 0.9, 0.7, 0.8, 1, 0.6 ],
	audienceWeightings: [  0.7, 1, 0.9 ]
	 }
,{ 
	id: "bfc4255e-0dbf-41a4-af1b-7ee1804cd505",
	name: "Virtual Reality",
	genreWeightings: [  1, 0.9, 0.6, 1, 0.6, 1 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "bfc8db92-82c1-4926-a5c6-36effd38c062",
	name: "Erotic",
	genreWeightings: [  0.6, 1, 0.6, 1, 0.6, 1 ],
	audienceWeightings: [  0.6, 0.7, 1 ]
	 }
,{ 
	id: "364943da-b0df-484f-98e2-5de0966bcde8",
	name: "Battle Royale",
	genreWeightings: [  1, 0.9, 0.7, 0.9, 1, 0.6 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "da7eb018-80cf-429d-af69-5cd87f25a061",
	name: "FPS",
	genreWeightings: [  1, 0.6, 0.9, 0.9, 0.8, 0.7 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "64562b25-e6b5-48e8-8573-ec4ad276d102",
	name: "Stealth",
	genreWeightings: [  0.8, 1, 1, 0.8, 1, 0.9 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "6901d291-81d6-41d0-ba4e-f0dcdbda47c6",
	name: "Sniper",
	genreWeightings: [  0.9, 0.9, 0.9, 1, 1, 0.8 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "645c95fe-bb9e-4f73-a217-1046f9cf3901",
	name: "Surgeon",
	genreWeightings: [  0.6, 0.6, 0.8, 1, 0.9, 1 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
,{ 
	id: "178403c0-bb0d-4f9c-87e2-530eb27d7aff",
	name: "Sandbox",
	genreWeightings: [  0.7, 0.6, 0.6, 1, 0.9, 1 ],
	audienceWeightings: [  1, 0.9, 0.8 ]
	 }
,{ 
	id: "671fad92-b34b-4afb-9eb6-4c2287785314",
	name: "Anime",
	genreWeightings: [  0.7, 0.9, 1, 0.9, 0.6, 1 ],
	audienceWeightings: [  1, 1, 0.9 ]
	 }
,{ 
	id: "9341432e-3606-408c-a8e3-7e70779c3593",
	name: "Cooperative",
	genreWeightings: [  0.8, 0.9, 0.6, 1, 1, 0.9 ],
	audienceWeightings: [  1, 0.9, 0.9 ]
	 }
,{ 
	id: "4665eb50-3334-461c-9155-5c7a87908bf5",
	name: "Retro",
	genreWeightings: [  0.8, 1, 0.9, 0.8, 0.9, 1 ],
	audienceWeightings: [  0.7, 0.8, 1 ]
	 }
,{ 
	id: "c41a4228-21bb-43bd-b8e9-e53bff578594",
	name: "Exploration",
	genreWeightings: [  0.7, 1, 0.9, 1, 0.8, 0.7 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }
,{ 
	id: "5cf785d3-97ac-4d2b-94cd-1de1f32c93c4",
	name: "World War 1",
	genreWeightings: [  1, 1, 0.7, 1, 1, 0.6 ],
	audienceWeightings: [  0.8, 1, 1 ]
	 }
,{ 
	id: "9aba56e0-c7e7-470f-9661-5efb7826ca33",
	name: "RTS",
	genreWeightings: [  0.7, 0.8, 0.9, 1, 1, 0.8 ],
	audienceWeightings: [  0.8, 1, 0.9 ]
	 }

]);

// ******************************************************************************************
// Achievements
// ******************************************************************************************

// Adding 100 Fans
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "0b348f8c-97ee-45d1-abe3-65e693750a78",
	title: "100 Fans",
	description: "You obtained 100 fans!",
	tint: "#FFFFFF",
	value: 1,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.fans >= 100;

						return res;
				}
	}));

// Adding 1K Fans
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "fbeab1d3-45a6-401c-adc9-16d625d89c6e",
	title: "1K Fans",
	description: "You obtained 1K fans!",
	tint: "#FFFFFF",
	value: 5,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.fans >= 1000;

						return res;
				}
	}));

// Adding 10K Fans
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "30b98c36-c77c-40b6-9014-aa093ca1ae49",
	title: "10K Fans",
	description: "You obtained 10K fans!",
	tint: "#FFFFFF",
	value: 10,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.fans >= 10000;

						return res;
				}
	}));

// Adding 100K Fans
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "c8707794-299e-446b-b3cb-1e98769b7a7c",
	title: "100K Fans",
	description: "You obtained 100K fans!",
	tint: "#FFFFFF",
	value: 50,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.fans >= 100000;

						return res;
				}
	}));

// Adding 1M Fans
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "a0290966-5794-4591-9881-a49ade1d8fb6",
	title: "1M Fans",
	description: "You obtained 1M fans!",
	tint: "#FFFFFF",
	value: 100,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.fans >= 1000000;

						return res;
				}
	}));

// Adding 10 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "8e1ce914-a49d-48e9-bf4a-1c7f562925a5",
	title: "10 Games",
	description: "You released 10 games!",
	tint: "#FFFFFF",
	value: 5,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 10;

						return res;
				}
	}));

// Adding 25 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "04efdc25-5780-4b04-8c0e-743b70d4aee8",
	title: "25 Games",
	description: "You released 25 games!",
	tint: "#FFFFFF",
	value: 10,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 25;

						return res;
				}
	}));

// Adding 50 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "ead10b91-9f06-4717-813e-9ac20860f580",
	title: "50 Games",
	description: "You released 50 games!",
	tint: "#FFFFFF",
	value: 20,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 50;

						return res;
				}
	}));

// Adding 100 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "ebe20230-56c8-4bb4-a813-41c189342fa8",
	title: "100 Games",
	description: "You released 100 games!",
	tint: "#FFFFFF",
	value: 50,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 100;

						return res;
				}
	}));

// Adding 150 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "ebdd2a2a-b658-4f33-b921-8ff0d2f2740f",
	title: "150 Games",
	description: "You released 150 games!",
	tint: "#FFFFFF",
	value: 75,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 150;

						return res;
				}
	}));

// Adding First Medium Game
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "75fc1c28-de49-4293-b902-4da5de2e3fd2",
	title: "First Medium Game",
	description: "You released your first medium game!",
	tint: "#FFFFFF",
	value: 10,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.canDevelopMediumGames();

						return res;
				}
	}));

// Adding First Large Game
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "26c92e5e-bc45-4772-a206-d51fb258d0db",
	title: "First Large Game",
	description: "You released your first large game!",
	tint: "#FFFFFF",
	value: 25,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.canDevelopLargeGames();

						return res;
				}
	}));

// Adding First AAA Game
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "182f8fa7-b025-4fd3-b6c3-331c2e3d2d2b",
	title: "First AAA Game",
	description: "You released your first AAA game!",
	tint: "#FFFFFF",
	value: 50,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.canDevelopAAAGames();

						return res;
				}
	}));

// Adding 100K $
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "1826e88f-46e3-434d-810b-ed595bcc1904",
	title: "100K $",
	description: "You obtained 100K $!",
	tint: "#FFFFFF",
	value: 1,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.cash >= 100000;

						return res;
				}
	}));

// Adding 1M $
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "c629875b-8b5d-4c1a-b5aa-5a981f5e4ce7",
	title: "1M $",
	description: "You obtained 1M $!",
	tint: "#FFFFFF",
	value: 5,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.cash >= 1000000;

						return res;
				}
	}));

// Adding 10M $
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "23d0b0a7-acc8-4e43-97cc-1f4ed5c11d5c",
	title: "10M $",
	description: "You obtained 10M $!",
	tint: "#FFFFFF",
	value: 10,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.cash >= 10000000;

						return res;
				}
	}));

// Adding 100M $
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "10ecdeba-227e-4766-ac79-fc19b1d388c3",
	title: "100M $",
	description: "You obtained 100M $!",
	tint: "#FFFFFF",
	value: 25,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.cash >= 100000000;

						return res;
				}
	}));

// Adding 10M Fans
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "cd0bb1ed-c31a-4ddd-a9cc-660a21887407",
	title: "10M Fans",
	description: "You obtained 10M fans!",
	tint: "#FFFFFF",
	value: 250,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.fans >= 10000000;

						return res;
				}
	}));

// Adding 100M Fans
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "ddb54ff8-8d80-400a-8c49-d030818d9954",
	title: "100M Fans",
	description: "You obtained 100M fans!",
	tint: "#FFFFFF",
	value: 300,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.fans >= 100000000;

						return res;
				}
	}));

// Adding 200 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "7c7aefc1-4181-4e9f-b308-2eec240b6bcb",
	title: "200 Games",
	description: "You released 200 games!",
	tint: "#FFFFFF",
	value: 100,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 200;

						return res;
				}
	}));

// Adding 250 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "217437db-305f-471c-af84-ddf80e194d25",
	title: "250 Games",
	description: "You released 250 games!",
	tint: "#FFFFFF",
	value: 125,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 250;

						return res;
				}
	}));

// Adding 500 Games
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "70089587-1659-40a8-aa69-efcdb778687a",
	title: "500 Games",
	description: "You released 500 games!",
	tint: "#FFFFFF",
	value: 200,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 500;

						return res;
				}
	}));

// Adding Every Game Size
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "e852efe2-f2e0-4577-b141-8a6bea78822b",
	title: "Every Game Size",
	description: "You released game in every available size!",
	tint: "#FFFFFF",
	value: 50,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.canDevelopMediumGames() && GameManager.company.canDevelopLargeGames() && GameManager.company.canDevelopAAAGames();

						return res;
				}
	}));


})();
